// Code generated by "mdtogo"; DO NOT EDIT.
package commands

var EventsShort = `[Alpha] Poll the cluster until all provided resources have become Current and list the status change events.`
var EventsLong = `
[Alpha] Poll the cluster for the state of all the provided resources until either they have all become 
Current or the timeout is reached. The output will be status change events.

The list of resources which should be polled are provided as manifests either on the filesystem or
on StdIn. 

  DIR:
    Path to local directory. If not provided, input is expected on StdIn.
`
var EventsExamples = `
    # Read resources from the filesystem and wait up to 1 minute for all of them to become Current
    resource status events my-dir/

    # Fetch all resources in the cluster and wait up to 5 minutes for all of them to become Current
    kubectl get all --all-namespaces -oyaml | resource status events --timeout=5m`

var FetchShort = `[Alpha] Fetch the state of the provided resources from the cluster and display status in a table.`
var FetchLong = `
[Alpha] Fetches the state of all provided resources from the cluster and displays the status in
a table.

The list of resources are provided as manifests either on the filesystem or on StdIn. 

  DIR:
    Path to local directory.
`
var FetchExamples = `
    # Read resources from the filesystem and wait up to 1 minute for all of them to become Current
    resource status fetch my-dir/

    # Fetch all resources in the cluster and wait up to 5 minutes for all of them to become Current
    kubectl get all --all-namespaces -oyaml | resource status fetch`

var WaitShort = `[Alpha] Poll the cluster until all provided resources have become Current and display progress in a table. `
var WaitLong = `
[Alpha] Poll the cluster for the state of all the provided resources until either they have all become 
Current or the timeout is reached. The output will be presented as a table.

The list of resources which should be polled are provided as manifests either on the filesystem or
on StdIn. 

  DIR:
    Path to local directory. If not provided, input is expected on StdIn.
`
var WaitExamples = `
    # Read resources from the filesystem and wait up to 1 minute for all of them to become Current
    resource status wait my-dir/

    # Fetch all resources in the cluster and wait up to 5 minutes for all of them to become Current
    kubectl get all --all-namespaces -oyaml | resource status wait --timeout=5m`
